/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

* {
  -webkit-tap-highlight-color: transparent;
}

a{
	color:black;
}

a:hover, a:focus, a:active {
    color: unset;
}

.one-container .site-content{
	padding:0;
}

.swiper{
	z-index: 0;
}

button:hover, html input[type="button"]:hover, input[type="reset"]:hover, input[type="submit"]:hover, a.button:hover, button:focus, html input[type="button"]:focus, input[type="reset"]:focus, input[type="submit"]:focus, a.button:focus, a.wp-block-button__link:not(.has-background):active, a.wp-block-button__link:not(.has-background):focus, a.wp-block-button__link:not(.has-background):hover
{
	color: unset;
}

/******************************************	 Header	 ************************************************/

.top-bar{
	height: 24px;
	background-color: #980E09;
}

.inside-top-bar{
	padding:0;
}

.top-bar .widget{
	margin: auto;
}

/* Hamburger icon */

#hamburger-menu-icon {
  width: 25px;
  height: 20px;
  position: relative;
  -webkit-transform: rotate(0deg);
  -moz-transform: rotate(0deg);
  -o-transform: rotate(0deg);
  transform: rotate(0deg);
  -webkit-transition: .5s ease-in-out;
  -moz-transition: .5s ease-in-out;
  -o-transition: .5s ease-in-out;
  transition: .5s ease-in-out;
  cursor: pointer;
}

#hamburger-menu-icon span {
  display: block;
  position: absolute;
  border-bottom: 2px solid black;
  width: 100%;
  opacity: 1;
  left: 0;
  -webkit-transform: rotate(0deg);
  -moz-transform: rotate(0deg);
  -o-transform: rotate(0deg);
  transform: rotate(0deg);
  -webkit-transition: .25s ease-in-out;
  -moz-transition: .25s ease-in-out;
  -o-transition: .25s ease-in-out;
  transition: .25s ease-in-out;
}

#hamburger-menu-icon span:nth-child(1) {
  top: 0px;
}

#hamburger-menu-icon span:nth-child(2), #hamburger-menu-icon span:nth-child(3) {
  top: 9px;
}

#hamburger-menu-icon span:nth-child(4) {
  top: 18px;
}

#hamburger-menu-icon.open span:nth-child(1) {
  top: 18px;
  width: 0%;
  left: 50%;
}

#hamburger-menu-icon.open span:nth-child(2) {
  -webkit-transform: rotate(45deg);
  -moz-transform: rotate(45deg);
  -o-transform: rotate(45deg);
  transform: rotate(45deg);
}

#hamburger-menu-icon.open span:nth-child(3) {
  -webkit-transform: rotate(-45deg);
  -moz-transform: rotate(-45deg);
  -o-transform: rotate(-45deg);
  transform: rotate(-45deg);
}

#hamburger-menu-icon.open span:nth-child(4) {
  top: 18px;
  width: 0%;
  left: 50%;
}

.inside-header{
	justify-content: space-between;
	height: 64px;
	border-bottom: 1px solid lightgrey;
	position: relative;
	z-index: 1;
}

.header-nav{
	position: absolute;
    width: 100%;
	background: white;
	left: 0;
    top: 64px;
    transition: .1s ease-in-out;
    transform-origin: top;
	opacity: 0;
	visibility:hidden;
	padding-left: 64px;
}

.header-nav.open{
	opacity: 1;
	visibility: visible;
}

.header-nav li{
	list-style-type: none
}

.header-nav > .menu{
	display: flex;
    justify-content: space-between;
	margin:0;
}

.header-nav .menu-image{
	--height: 26vw; 
	background: url('images/menu-image.jpg');
	height: var(--height);
    width: calc(var(--height) / 1.25);
    background-size: cover;
}

.header-nav .menu-image a{
	display:none;
}

.site-logo{
	line-height: 0;
}

.menu-item-has-children{
	margin-top: 40px;
}

.menu-item-has-children .sub-menu{
	margin:0;
	margin-top: 40px;
}

.menu-item-has-children .sub-menu li{
	margin-bottom: 8px;
}

.menu-item-has-children > a:first-child{
	margin-left: 5px;
	color:#919191;
}

.wc-block-components-product-sale-badge{
	z-index: 0;
    border: none;
    border-radius: 0;
    font-size: 10px;
    font-weight: 400;
    letter-spacing: 1px;
}

#cart-icon{
	cursor: pointer;
	position: relative;
}
#moderncart-floating-cart{
	display:none !important;
}

/******************************************	 Footer	 ************************************************/

.footer-widgets-container{
	padding: 64px;
}

.site-footer{
	border-top: 1px solid lightgrey;
}

.inside-footer-widgets{
	flex-direction: column;
}

#footer-top{
	display: flex;
    justify-content: space-between;
}

#footer-middle{
	display: flex;
    justify-content: space-between;
	padding: 64px 40px 0;
}

#footer-middle > div{
	display: flex;
    flex-direction: column;
}

#footer-middle p{
	margin-bottom: 24px;
	font-size: 18px;
}

#footer-middle a:not(:last-child){
	margin-bottom: 16px;
}

.footer-social{
	margin-left: 23px;
}

.footer-col-3{
	width: 185px;
	justify-content: end;
}

/******************************************	 Home page	 ************************************************/

.home-hero{
	min-height: calc(100vw / 2.4);
}

.home-hero-text{
	margin-top: 10vw;
}

.home-shipping-bar{
	background: #093575;
	height: 34px;
	margin:0;
}

.home-shipping-bar > div,
.home-features-bar > div{
	display: flex;
    align-items: center;
    justify-content: center;
}

.home-shipping-bar p{
	margin: 0;
	color: white;
}

.home-features-bar{
	height: 34px;
	margin: 74px 0;
	border-top: 1px solid black;
	border-bottom: 1px solid black;
	text-align: center;
}

.home-features-bar p{
	margin: 0;
}

.home-categories{
	padding: 0 64px;
	gap: 10px;
}

.home-categories .wp-block-media-text{
	position: relative;
	grid-template-columns: 100%;
}

.home-categories .wp-block-media-text > .wp-block-media-text__content{
	padding: 0;
	grid-column: auto;
	position: absolute;
    bottom: 16px;
    left: 24px;
    color: white;
    font-size: 25px;
    letter-spacing: 1px;
}

.home-categories .wp-block-media-text__content p{
	margin:0;
}

.home-categories .wp-block-column:nth-child(3){
	display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.home-categories .wp-block-column:nth-child(3) > div{
	overflow: hidden;
    height: calc(50% - 5px);
}

.home-bestsellers-heading{
	margin-top: 74px;
	margin-bottom: 40px;
	font-size: 1.5vw !important;
}

.home-bestsellers{
	margin: 0;
}

.home-bestsellers-col-1{
	display: flex;
    flex-direction: column;
    justify-content: center;
    padding-left: 5vw;
}

.home-bestsellers-col-2{
	padding-right: 6vw;
}

.home-bestsellers-col-1 p:first-child{
	font-size: 2.5vw;
	margin:0;
}
.home-bestsellers-col-1 p:last-child{
	font-size: 1.5vw;
	margin:0;
}

.home-categories-heading{
	margin-top: 74px;
	margin-bottom: 40px;
	font-size: 1.5vw !important;
}

.explore-button a{
	padding: 2px 32px !important;
    letter-spacing: 1px;
	border-width: 1px;
}

.home-combo-col-1{
	display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
	padding-left: 96px;
}

.home-combo-col-1 p{
	font-size: 1.5vw !important;
}

.home-combo-col-1 ul{
	margin: 0;
}

.home-combo-col-2{
	text-align: right;
	padding-right: 64px;
}

.home-about-us{
	
	font-size: 1.5vw !important;
	position: relative;
    max-width: 50%;
    display: block;
    margin: 0 auto;
    text-align: justify;
    line-height: 1.2;
	margin-top: 140px;
}

.home-about-us figure{
	position: absolute;
    max-width: 15vw;
    transform: translate(-40%, -15%);
}

.home-about-us p:last-child{
	text-align: center;
    text-decoration: underline;
}

.home-separator{
	max-width: 70%;
	margin: 74px auto;
	border-top: 1px solid black;
}

/******************************************	 Shop page	 ************************************************/

.archive .woocommerce-archive-wrapper{
	padding-top: 24px;
}

.woocommerce-products-header,
.woocommerce-result-count{
	display:none !important;
}

.product-filter-bar.open{
	display: block;
}

.product-filter-bar{
	position: fixed;
    left: 0;
    top: 0;
    background: white;
    z-index: 200;
    width: 30vw;
    height: 100vw;
	display:none;
}

.product-filter-header{
	display: flex;
    height: 10vh;
    align-items: center;
    justify-content: space-between;
	background: white;
	padding: 40px;
}

.product-filter-body{
	background: white;
	padding: 40px;
	height: 90vh;
}

.product-filter-overlay{
	position: fixed;
    left: 0;
    top: 0;
    background: black;
	opacity: 0.6;
    width: 100vw;
    height: 100vw;
    z-index: -1;
}

.product-filter-button{
	float: left;
    margin-left: 64px;
}

.woocommerce-ordering select{
	border: 0;
    background: none;
    padding: 0;
    margin-top: -1px;
	text-align: right;
}

.woocommerce-ordering{
	display: inline-block;
	float:left;
	margin-bottom: 12px;
}

.archive .bapf_sfa_taxonomy a{
	color: black !important;
    font-weight: 400 !important;
    border: 1px solid black !important;
    border-radius: 0 !important;
    margin-left: 40px;
    transform: translateY(-4px);
}

.archive .bapf_sfa_unall{
	transform: translateY(-4px);
	
}

.archive .bapf_sfa_unall a{
	color: black !important;
	font-weight: 400 !important;
	font-size: 13px;
}

.archive .product{
	text-align: unset !important;
}

.woocommerce-breadcrumb{
	display:none;
}

.product h2, .product .price, .product .wc-block-components-product-price{
	display: block;
	font-size: 15px !important;
    text-align: left;
	margin-bottom: 5px !important; 
}

.archive .products {
	display: flex;
	flex-wrap: wrap;
	width: 100%;
	gap: 10px;
	margin: 0;
    padding: 0 64px;
	list-style: none;
}

.archive .product{
  text-align: center;
  box-sizing: border-box;

}

.archive .product:nth-child(n+5){
	  margin-top: 50px;
}

.archive .product img{
	width: 100%;
}

.archive .product > a{
	position: relative;
}

.archive .product .onsale{
	position:absolute;
	left: 10px;
	top: 10px;
	z-index: 2;
	background: white;
    width: 48px;
    height: 20px;
    text-align: center;
}

.swiper-pagination-bullet{
	width: 48px;
    border-radius: 0;
    height: 2px;
}

.swiper-pagination-bullet-active{
	background:black;
}

.swiper-button-prev,
.swiper-button-next{
	color: black;
	opacity: 0;
}

.swiper-button-prev svg,
.swiper-button-next svg{
	width: 30%;
}

.product-swiper:hover .swiper-button-prev,
.product-swiper:hover .swiper-button-next{
	opacity: 1;
}

/******************************************	 Single product page	 ************************************************/

.single-product .featured-image{
	display:none;
}

.single-product .entry-content{
	padding: 0 64px;
}

.single-product .product{
	display: flex;
    flex-wrap: wrap;
}

.single-product .swiper-slide img{
		width: 100%;
}

.single-product .swiper-slide video{
	max-width: 100%;
}

.single-product .woocommerce-tabs{
	flex: 0 0 100%;
}

.single-product .related.products{
	flex: 0 0 75%;
	margin: 64px 0;
}

.single-product .product_title{
	font-size: 22px;
}

.single-product .product .price{
	font-size: 17px !important;
    margin-top: 16px;
}

.star-rating {
    display: inline-block;
    line-height: 1.1;
	width: 76px;
    height: 14px;
    background: url(icons/star-outline.svg) repeat-x;
    background-size: contain;
}
.star-rating > span {
    display: block;
    height: 1em;
    background: url(icons/star-fill.svg) repeat-x;
    background-size: contain;
	text-indent: -9999px;
}

.custom-star-rating{
	margin-top: 4px;
}

.single-product .single_add_to_cart_button{
	width: 100%;
    background: black;
    font-size: 14px;
    padding: 6px 0;
	margin-top: 20px;
	min-height: 3em;
}

.single-product .single_add_to_cart_button:hover{
	color: white;
}

.single-accordion .wp-block-accordion-heading__toggle-icon{
	background: url(icons/arrow.svg);
	text-indent: 9999px;
    width: 10px;
    height: 6px;
    background-size: cover;
}

.single-accordion .wp-block-accordion-item.is-open>.wp-block-accordion-heading .wp-block-accordion-heading__toggle-icon{
	transform: rotate(180deg);
}

.single-accordion .wp-block-accordion-heading__toggle:hover .wp-block-accordion-heading__toggle-title{
	text-decoration: none;
}

.single-accordion .wp-block-accordion-panel{
	margin-left: 16px;
}

.single-accordion h3{
	font-size: 14px;
	line-height: 1;
	margin-bottom: 10px;
	padding-top: 10px;
	border-top: 1px solid lightgrey;
}

.product-description{
	margin-top: 30px;
}

.related.products > h2{
	display:none;
}

.single-related-text{
	flex: 0 0 25%;
	display: flex;
    flex-direction: column;
    justify-content: center;
    font-size: 2vw;
    line-height: 1.1;
}

.single-related-text span:nth-child(2){
	font-size: 1.6vw;
}

.single-product .related.products ul{
	display: flex;
    gap: 10px;
    margin: 0;
}

.single-product .related.products .price{
	font-size: initial !important;
	margin: 0;
}

.single-product .related.products .woocommerce-loop-product__title{
	margin: 0 !important;
}

.single-product .onsale{
	display: none !important;
}

.woovr-variations{
	display: flex;
	gap: 10px;
}

.woovr-variation{
	width: 65px;
}

.woovr-variations .woovr-variation-selector{
	display: none;
}

.woovr-variations label{
	display: block;
    font-weight: 400;
    border: 1px solid lightgray;
    padding: 6px 0;
    color: black;
    text-align: center;
    font-size: 13px;
	cursor: pointer;
}

.woovr-variation-active label{
	 border: 1px solid black;
}

.woovr-variations .woovr-variation:hover{
	background-color: unset !important;
}

.single-product .single_add_to_cart_button:focus{
	color: white;
}

.single-product .related.products .price,
.single-product .related.products .woocommerce-loop-product__title{
	font-size: 14px !important
}

.single-product .woocommerce-notices-wrapper{
	display: none !important;
}

#single-accordion{
	display: flex;
    flex-direction: column;
	margin-top: 32px;
}

#single-accordion > span{
	border-top: 1px solid darkgray;
	padding: 16px 0;
}

#single-accordion .ui-accordion-header{
	position: relative;
	cursor: pointer;
}

#single-accordion .ui-accordion-header:after{
	content:'';
	background: url('icons/arrow.svg');
	display: block;
    width: 11px;
    height: 7px;
    background-size: contain;
    background-repeat: no-repeat;
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
	transition: transform 0.2s;
}

#single-accordion .ui-accordion-header-active:after{
	transform: translateY(-50%) rotate(180deg);
}

#single-accordion .ui-accordion-content{
	padding-left: 16px;
	padding-bottom: 16px;
}

/******************************************	 Slide cart	 ************************************************/
#moderncart-slide-out-modal.moderncart-cart-style-slideout #moderncart-slide-out{
	max-width: 500px;
}
#moderncart-slide-out .moderncart-slide-out-header-heading{
	flex-direction: row-reverse;
}
.moderncart-slide-out-header-quantity,
.moderncart-cart-line-items__subtotal{
	display: none !important;
}
#moderncart-slide-out .moderncart-slide-out-footer .moderncart-cart-total .moderncart-cart-line-items-item span{
	font-size: 14px;
    font-weight: 400;
}
.moderncart-cart-item-quantity{
	display: flex !important;
    flex-direction: row-reverse;
}
.moderncart-quantity__input,
.moderncart-cart-item-quantity{
	border: none !important;
	font-weight: 400 !important;
}
.moderncart-cart-item-onsale{
	display: none;
}
.moderncart-cart-item-image img{
	border-radius: 0 !important;
}
.moderncart-cart-item-product-link a{
	font-size: 14px;
    font-weight: 400;
}
.moderncart-plugin .moderncart-price span.woocommerce-Price-amount{
	font-weight: 400;
	font-size: 13px;

}
.moderncart-price small{
	display: none !important;
}
#moderncart-slide-out .moderncart-slide-out-header-title span{
	font-weight: 400;
}
#moderncart-slide-out .moderncart-slide-out-footer .moderncart-cart-total a.checkout-button{
	border-radius: 0;
    font-size: 14px;
    font-weight: 400;
	height: 42px;
    line-height: 1.2;
}
#moderncart-slide-out .moderncart-slide-out-coupon-input input,
#moderncart-slide-out .moderncart-slide-out-coupon-input button{
	border-radius: 0;
	font-weight: 400;
}
#moderncart-slide-out .moderncart-slide-out-footer{
	box-shadow: none;
}

#cart-icon .cart-count{
	position: absolute;
    left: 50%;
    bottom: 4px;
    transform: translateX(-50%);
    font-size: 10px;
}
#moderncart-slide-out .moderncart-cart-item-quantity button{
	margin-top: 3px;
}

/******************************************	 Checkout page	 ************************************************/

.wp-block-woocommerce-checkout-order-note-block,
.wp-block-woocommerce-checkout-actions-block{
	display: none !important;
}

body.inpost-shipping-checked .wp-block-woocommerce-checkout-billing-address-block{
	display:none;
}

.woocommerce-checkout .site-content{
	padding: 0 10vw;
}

.wc-block-checkout__form{
	display: flex;
    flex-direction: column;
}

.wp-block-woocommerce-checkout-shipping-methods-block{
	order: 1;
}
.wp-block-woocommerce-checkout-contact-information-block{
	order: 2;
}
.wp-block-woocommerce-checkout-billing-address-block{
	order: 3;
}
.wp-block-woocommerce-checkout-payment-block{
	order: 4;
}
.wp-block-woocommerce-checkout-terms-block{
	order: 5;
}

button.wc-block-components-checkout-place-order-button{
	background: black;
    color: white;
	width: 100%;
    padding: 0;
}

.wc-block-components-radio-control--highlight-checked:after{
	border:none !important;
}

.wc-block-components-radio-control--highlight-checked label.wc-block-components-radio-control__option--checked-option-highlighted{
	box-shadow: none;
}

.wc-block-components-radio-control__input{
	width: 16px !important;
    height: 16px !important;
}
.wc-block-components-radio-control__input:before{
	width: 8px !important;
    height: 8px !important;
}
.wc-block-components-radio-control__input:focus{
	outline: none !important;
}

.woocommerce-checkout .wc-block-components-text-input input,
.woocommerce-checkout .wc-blocks-components-select__select,
#wc-block-checkout__create-account{
	border-radius: 0 !important;
}
.wc-block-components-radio-control-accordion-option{
	box-shadow: none !important;
}
.inpost_pl-block-shipping-method-meta-wrap,
.wc-block-components-radio-control--highlight-checked .wc-block-components-radio-control__option:after{
	display: none !important;
}

#contact.wc-block-components-address-form{
	display: flex;
    flex-wrap: wrap;
    gap: 10px;
}
#contact.wc-block-components-address-form > .wc-block-components-text-input{
	margin-top: 0;
    flex-basis: 40%;
}
#wc-guest-checkout-notice{
	flex-basis: 100%;
}
.wc-block-components-shipping-rates-control .wc-block-components-radio-control__label-group{
	justify-content: left !important;
	gap: 10px;
}
.wc-block-components-shipping-rates-control .wc-block-components-radio-control__label-group span{
	flex: unset;
	font-weight: 400;
}
.wc-block-components-checkout-order-summary__title-text{
	display: none;
}
.wp-block-woocommerce-checkout-fields-block{
	width: 60% !important;
}
.wp-block-woocommerce-checkout-totals-block{
	width: 40%;
}
.wp-block-woocommerce-checkout-order-summary-block{
	border-radius: 0;
    padding: 24px;
}
.wc-block-checkout__shipping-option--free{
	display: none;
}
.wc-block-components-totals-item__value strong{
	font-weight: 400;
    text-transform: none !important;
}
.wc-block-components-totals-footer-item .wc-block-components-totals-item__label,
.wc-block-components-totals-footer-item .wc-block-components-totals-footer-item-tax-value{
	font-size: 16px !important;
    font-weight: 400 !important;
}

@media only screen and (max-width: 1366px)
{
	.single-product .entry-content{
		padding: 0 32px;
	}
	.product-content > .summary{
		max-width: unset !important;
		margin-left: 3vw !important;
	}
}

@media only screen and (max-width: 768px)
{
	/*-------------------------------------------------		Home	-----------------------*/
	
	.top-bar{
		font-size: 12px;
		padding-top: 5px;
		line-height: 1;
	}
	
	.inside-header{
		flex-direction: row;
		height: 48px;
	}
	.header-nav{
	    top: 48px;
		text-align: left;
		padding: 0 20px;
		height: calc(100vh - 48px);
	}
	.menu-item-has-children{
		margin-top: 20px;
	}
	.header-nav .menu-image{
		display:none;
	}
	
	.home-hero{
		min-height: calc(100vw * 2 - 72px) !important;
	}
	
	.home-shipping-bar > div:nth-last-child(-n+3){
		display:none;
	}
	.home-shipping-bar{
		gap: 1vw;
		padding: 0 1vw;
	}
	.home-shipping-bar > div{
		font-size: 2.7vw;
	}
	
	.home-bestsellers-heading,
	.home-categories-heading{
		font-size: 4.5vw !important;
		margin-top: 9vw;
		margin-bottom: 7vw;
	}
	.home-bestsellers{
		margin: 0;
	}
	.home-bestsellers-col-2{
		padding: 0 6vw;
	}
	.home-bestsellers-col-2 ul{
		margin: 0;
		display: flex;
		gap: 2vw;
	}
	.home-bestsellers-col-1,
	.home-bestsellers li.wc-block-product:nth-child(3){
		display:none;
	}
	.home .wc-block-product h2,
	.home .wc-block-components-product-price
	{
		font-size: 11px !important;
	}
	.wp-block-woocommerce-product-collection{
		margin-bottom: 0;
	}
	
	.home-categories{
		padding: 0 6vw;
		gap: 2vw;
	}
	.home-categories > .wp-block-column:nth-child(1),
	.home-categories > .wp-block-column:nth-child(2){
		flex-basis: 48% !important;
	}
	.home-categories .wp-block-column:nth-child(3){
		flex-direction: row !important;
	}
	.home-categories .wp-block-column:nth-child(3) > div{
		height: 100% !important;
		flex-basis: 49%;
	}
	.home-categories .wp-block-media-text > .wp-block-media-text__content{
		line-height: 1;
		left: 2vw;
		bottom: 2vw;
		font-size: 4vw;
	}
	
	.home-features-bar{
		margin-top: 9vw;
		margin-bottom: 9vw;
		gap: 2vw;
	}
	
	.home-features-bar > div{
		font-size: 11px;
	}
	
	.home-combo{
		gap: 3vw;
	}
	
	.home-combo-col-1{
		padding: 0;
	}
	
	.home-combo-col-1 p{
		margin-bottom: 7vw;
		font-size: 4.5vw !important;
	}
	
	.home-combo-col-1 ul{
		flex-wrap: nowrap !important;
		padding: 0 6vw;
		gap: 2vw !important;
	}
	
	.home-combo-col-2{
		padding: 0 6vw;
	}
	
	.home-about-us{
		max-width: 80%;
		font-size: 4vw !important;
		margin-top: 23vw;
	}
	.home-about-us .wp-block-media-text__content{
		padding: 0;
	}
	.home-about-us figure{
		max-width: 30vw;
		transform: translateX(-50%);
		left: 5%;
		top: -38%;
	}
	.home-about-img{
		overflow: hidden;
	}
	.home-about-img img{
		max-width: 150%;
	}
	
	.inside-footer-widgets{
		flex-direction: column-reverse;
	}
	.footer-widgets-container{
		padding: 10vw 12vw;
	}
	#footer-middle{
		padding: 0;
	}
	.footer-col-3{
		display:none !important;
	}
	#footer-middle a:not(:last-child){
		margin-bottom: 10px;
	}
	
	/*-------------------------------------------------		Archive page	-----------------------*/
	
	.archive .products{
		padding: 0 2vw;
		gap: 2vw;
	}
	
	.archive .product{
		max-width: calc((100% - 2vw) / 2);
	}
	
	.archive .product h2,
	.archive .product .price{
		font-size: 12px !important;
	}
	
	.swiper-pagination-bullet{
		width: 7vw;
	}
	
	.archive .product-swiper div[role="button"]{
		display: none;
	}
	
	.product-filter-button{
		margin-left: 2vw;
	}
	
	.woocommerce-ordering{
		float: right;
		margin-right: 2vw;
	}
	
	/*-------------------------------------------------		Single product	-----------------------*/
	
	.single-product .entry-content{
		padding: 0;
	}
	.single-product .product{
		display: block;
	}
	.single-product .entry-content{
		margin: 0 !important;
	}
	.single-product .product-content{
		padding: 3vw 5vw;
	}
	.single-product .product_title{
		font-size: 5vw;
	}
	.single-product .product .price{
		font-size: 4vw !important;
		margin-top: 2vw;
	}
	.single-product .single-related-text{
		text-align: center;
		margin-top: 5vw;
		font-size: 7vw;
	}
	.single-related-text span:nth-child(2){
		font-size: 4vw;
	}
	.single-product .related.products{
		margin-top: 5vw;
		padding: 0 3vw;
	}
	.single-product .related.products .price,
	.single-product .related.products .woocommerce-loop-product__title{
		font-size: 12px !important;
	}
	.product-content > .summary{
		margin-left: 0 !important;
	}
}

@media only screen and (min-width: 769px)
{
	/*-------------------------------------------------		Archive page	-----------------------*/
	
	.archive .product:nth-child(7n + 1),
	.archive .product:nth-child(7n + 2),
	.archive .product:nth-child(7n + 3),
	.archive .product:nth-child(7n + 4) {
	  max-width: calc((100% - 30px) / 4);
	}

	.archive .product:nth-child(7n + 5),
	.archive .product:nth-child(7n + 6),
	.archive .product:nth-child(7n + 7) {
	  max-width: calc((100% - 20px) / 3);
	}
	
	/*-------------------------------------------------		Single product	-----------------------*/
	
	.single-product .swiper-wrapper{
		flex-direction: column;
	    height: auto;
	}
	.single-product .woocommerce-product-gallery{
		width: 50%;
	}
	
	.single-product .product-content{
		width: 50%;
	}
	
	.single-product .product-content > .summary{
		position: sticky;
		top: 64px;
		max-width: 35vw;
		margin-top: 32px;
		margin-left: 6vw;
		padding-bottom: 64px;
	}
}